[vectordb](../README.md) / [Exports](../modules.md) / AwsCredentials

# Interface: AwsCredentials

## Table of contents

### Properties

- [accessKeyId](AwsCredentials.md#accesskeyid)
- [secretKey](AwsCredentials.md#secretkey)
- [sessionToken](AwsCredentials.md#sessiontoken)

## Properties

### accessKeyId

• **accessKeyId**: `string`

#### Defined in

[index.ts:34](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L34)

___

### secretKey

• **secretKey**: `string`

#### Defined in

[index.ts:36](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L36)

___

### sessionToken

• `Optional` **sessionToken**: `string`

#### Defined in

[index.ts:38](https://github.com/lancedb/lancedb/blob/7856a94/node/src/index.ts#L38)
